plugins {
    alias(libs.plugins.flights.android.library)
    alias(libs.plugins.flights.android.library.hilt)
}

android {
    namespace = "dev.adriankuta.flights.model.data.api"
}

dependencies {
    implementation(projects.core.util)

    implementation(platform(libs.okhttp.bom))

    implementation(libs.moshi)
    implementation(libs.okhttp)
    implementation(libs.okhttp.logging.interceptor)
    implementation(libs.retrofit)
    implementation(libs.retrofit.converter.moshi)
    ksp(libs.moshi.kotlin.codegen)

    implementation(libs.timber)
    implementation(libs.gson)
}
